Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### rect()

Examples

    rect(30, 20, 55, 55);

Description | Draws a rectangle to the screen. A rectangle is a four-sided shape with every angle at ninety degrees. The first two parameters set the location, the third sets the width, and the fourth sets the height. The origin is changed with the rectMode() function.

Syntax

    rect(x, y, width, height)

Parameters

x | int or float: x-coordinate of the rectangle
y | int or float: y-coordinate of the rectangle
width | int or float: width of the rectangle
height | int or float: height of the rectangle

Usage | Web & Application
Related | rectMode() quad()

Updated on May 24, 2007 06:36:43pm PDT